Προβλημα με την εγκατασταση προσθετου λογισμικου

Εγκατάσταση, χρήση, διαχείριση κτλ

Δημοσίευσηαπό NikosKallithea » Δευτ Σεπ 24, 2012 6:49 pm

Ας τα πάρουμε απο την αρχη

Οταν ξεκίνα ο υπολογιστής πάντα βγάζει το παρακάτω μήνυμα και κάποια αλλα που δεν μπορώ να τα σώσω γιατί ειναι στην αρχική οθόνη σε τερμιναλ περιβάλλον,

: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
Generating grub.cfg ...
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.

Τώρα όταν κάνω εγκατάσταση οποιοδήποτε πρόγραμμα αυτο διακόπτετε καπου στα 3/4 τις μπάρας με το παρακάτω μήνυμα

installArchives() failed: Selecting previously unselected package libmono-corlib2.0-cil.
(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 223180 files and directories currently installed.)
Unpacking libmono-corlib2.0-cil (from .../libmono-corlib2.0-cil_2.10.8.1-1ubuntu2.2_all.deb) ...
Selecting previously unselected package libmono-i18n-west2.0-cil.
Unpacking libmono-i18n-west2.0-cil (from .../libmono-i18n-west2.0-cil_2.10.8.1-1ubuntu2.2_all.deb) ...
Selecting previously unselected package pdfmod.
Unpacking pdfmod (from .../pdfmod_0.9.1-5ubuntu1_all.deb) ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Setting up linux-image-3.2.0-29-generic (3.2.0-29.46) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
update-initramfs: Generating /boot/initrd.img-3.2.0-29-generic
Warning: No support for locale: el_GR.utf8
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
Generating grub.cfg ...
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
/usr/sbin/grub-probe: : cannot seek `/dev/sdb'.
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-29-generic.postinst line 1010.
dpkg: error processing linux-image-3.2.0-29-generic (--configure):
subprocess installed post-installation script returned error exit status 2
No apport report written because MaxReports is reached already
dpkg: dependency problems prevent configuration of linux-image-generic:
linux-image-generic depends on linux-image-3.2.0-29-generic; however:
Package linux-image-3.2.0-29-generic is not configured yet.
dpkg: error processing linux-image-generic (--configure):
dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
dpkg: dependency problems prevent configuration of linux-generic:
linux-generic depends on linux-image-generic (= 3.2.0.29.31); however:
Package linux-image-generic is not configured yet.
dpkg: error processing linux-generic (--configure):
dependency problems - leaving unconfigured
Setting up libmono-corlib2.0-cil (2.10.8.1-1ubuntu2.2) ...
No apport report written because MaxReports is reached already
Setting up libmono-i18n-west2.0-cil (2.10.8.1-1ubuntu2.2) ...
Setting up pdfmod (0.9.1-5ubuntu1) ...
Errors were encountered while processing:
linux-image-3.2.0-29-generic
linux-image-generic
linux-generic
Error in function:
Setting up linux-image-3.2.0-29-generic (3.2.0-29.46) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
update-initramfs: Generating /boot/initrd.img-3.2.0-29-generic
Warning: No support for locale: el_GR.utf8
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
Generating grub.cfg ...
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
: cannot seek `/dev/sdb'.
/usr/sbin/grub-probe: : cannot seek `/dev/sdb'.
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-29-generic.postinst line 1010.
dpkg: error processing linux-image-3.2.0-29-generic (--configure):
subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-image-generic:
linux-image-generic depends on linux-image-3.2.0-29-generic; however:
Package linux-image-3.2.0-29-generic is not configured yet.
dpkg: error processing linux-image-generic (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-generic:
linux-generic depends on linux-image-generic (= 3.2.0.29.31); however:
Package linux-image-generic is not configured yet.
dpkg: error processing linux-generic (--configure):
dependency problems - leaving unconfigured
Nikos
Άβαταρ μέλους
NikosKallithea
babeTUX
babeTUX
 
Δημοσιεύσεις: 10
Εγγραφή: Παρ Ιούλ 01, 2011 8:55 pm

Δημοσίευσηαπό Sonop » Δευτ Σεπ 24, 2012 10:48 pm

Καλησπέρα!

Καταρχήν δοκίμασε αυτές τις εντολές που θα σε δώσω στο τερματικό.. Ίσως κάποια παλιότερη εγκατάσταση που είχες κάνει σε κάποιο πρόγραμμα δεν ολοκληρώθηκε..

Κώδικας: Επιλογή όλων
sudo dpkg --configure -a
sudo apt-get -f install


Κάνε και μία ανανέωση στο apt
Κώδικας: Επιλογή όλων
sudo apt-get update

και μετά βλέπουμε αν το πρόβλημα παραμένει..

Απ' τον κώδικα που έχεις βάλει βλέπω ότι ίσως υπάρχει κάποια πρόβλημα με εξαρτήσεις στον πυρήνα σε κάποια απ' τις αναβαθμίσεις που έκανες..
Sonop
babeTUX
babeTUX
 
Δημοσιεύσεις: 12
Εγγραφή: Τετ Απρ 04, 2012 6:38 pm

Δημοσίευσηαπό NikosKallithea » Τετ Σεπ 26, 2012 6:55 pm

Απο τα πρώτα δυο δεν τρεχει κανένα μου βγάζει πάλι το ίδιο μήνυμα, και ένα Warning: No support for locale: el_GR.utf8,

Τι κάνω ξέρει κάποιος?

1.
nikos@ubuntu:~$ sudo dpkg --configure -a
[sudo] password for nikos:
Επεξεργασία των trigger για initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-29-generic
Warning: No support for locale: el_GR.utf8
Γίνεται εγκατάσταση linux-image-3.2.0-29-generic (3.2.0-29.46) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
update-initramfs: Generating /boot/initrd.img-3.2.0-29-generic
Warning: No support for locale: el_GR.utf8
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
Generating grub.cfg ...
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
/usr/sbin/grub-probe: σφάλμα: cannot seek `/dev/sdb'.
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-29-generic.postinst line 1010.
dpkg: σφάλμα στην επεξεργασία του linux-image-3.2.0-29-generic (--configure):
η υποδιεργασία installed post-installation script επέστρεψε κατάσταση λάθους 2
dpkg: προβλήματα εξαρτήσεων εμποδίζουν τη ρύθμιση του linux-image-generic:
linux-image-generic εξαρτάται από linux-image-3.2.0-29-generic. Ωστόσο:
Το πακέτο linux-image-3.2.0-29-generic δεν έχει ρυθμιστεί ακόμη.
dpkg: σφάλμα στην επεξεργασία του linux-image-generic (--configure):
προβλήματα εξάρτησης - αφήνεται μη ρυθμισμένο
dpkg: προβλήματα εξαρτήσεων εμποδίζουν τη ρύθμιση του linux-generic:
linux-generic εξαρτάται από linux-image-generic (= 3.2.0.29.31). Ωστόσο:
Το πακέτο linux-image-generic δεν έχει ρυθμιστεί ακόμη.
dpkg: σφάλμα στην επεξεργασία του linux-generic (--configure):
προβλήματα εξάρτησης - αφήνεται μη ρυθμισμένο
Προέκυψαν σφάλματα κατά την επεξεργασία του:
linux-image-3.2.0-29-generic
linux-image-generic
linux-generic



2.
nikos@ubuntu:~$ sudo apt-get -f install
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 0 θα αφαιρεθούν και 293 δεν αναβαθμίζονται.
3 μη πλήρως εγκατεστημένα ή αφαιρέθηκαν.
Μετά από αυτή τη λειτουργία, θα χρησιμοποιηθούν 0 B χώρου από το δίσκο.
Γίνεται εγκατάσταση linux-image-3.2.0-29-generic (3.2.0-29.46) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
update-initramfs: Generating /boot/initrd.img-3.2.0-29-generic
Warning: No support for locale: el_GR.utf8
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-29-generic /boot/vmlinuz-3.2.0-29-generic
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
Generating grub.cfg ...
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
σφάλμα: cannot seek `/dev/sdb'.
/usr/sbin/grub-probe: σφάλμα: cannot seek `/dev/sdb'.
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-29-generic.postinst line 1010.
dpkg: σφάλμα στην επεξεργασία του linux-image-3.2.0-29-generic (--configure):
η υποδιεργασία installed post-installation script επέστρεψε κατάσταση λάθους 2
dpkg: προβλήματα εξαρτήσεων εμποδίζουν τη ρύθμιση του linux-image-generic:
linux-image-generic εξαρτάται από linux-image-3.2.0-29-generic. Ωστόσο:
Το πακέτο linux-image-3.2.0-29-generic δεν έχει ρυθμιστεί ακόμη.
dpkg: σφάλμα στην επεξεργασία του linux-image-generic (--configure):
προβλήματα εξάρτησης - αφήνεται μη ρυθμισμένο
dpkg: προβλήματα εξαρτήσεων εμποδίζουν τη ρύθμιση του linux-generic:
linux-generic εξαρτάται από linux-image-generic (= 3.2.0.29.31). Ωστόσο:
Το πακέτο linux-image-generic δεν έχει ρυθμιστεί ακόμη.
dpkg: σφάλμα στην επεξεργασία του linux-generic (--configure):
προβλήματα εξάρτησης - αφήνεται μη ρυθμισμένο
No apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because the error message indicates its a followup error from a previous failure.
Προέκυψαν σφάλματα κατά την επεξεργασία του:
linux-image-3.2.0-29-generic
linux-image-generic
linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
nikos@ubuntu:~$
Nikos
Άβαταρ μέλους
NikosKallithea
babeTUX
babeTUX
 
Δημοσιεύσεις: 10
Εγγραφή: Παρ Ιούλ 01, 2011 8:55 pm

Δημοσίευσηαπό NikosKallithea » Τετ Σεπ 26, 2012 7:28 pm

οταν παω να κανω αναβάθμιση μου λεει να τρέξω την εντολή "apt-get install -f" η οποία όμως για να την τρέξεις πρέπει να εισαι root, πως γίνομαι root
Nikos
Άβαταρ μέλους
NikosKallithea
babeTUX
babeTUX
 
Δημοσιεύσεις: 10
Εγγραφή: Παρ Ιούλ 01, 2011 8:55 pm


Επιστροφή στο Λειτουργικό Σύστημα



Μέλη σε σύνδεση

Μέλη σε αυτή την Δ. Συζήτηση : Δεν υπάρχουν εγγεγραμμένα μέλη και 1 επισκέπτης

cron